import {Component, ViewChild} from '@angular/core';
import {IonicPage, Navbar, NavController, NavParams, Slides, ToastController} from 'ionic-angular';
import {message} from "../../../../app/main";
import {LearnService} from "../learn.service";
import {AppService} from "../../../../service/appHttpService";

@IonicPage()
@Component({
  selector: 'page-review-result',
  templateUrl: 'review-result.html',
})
export class ReviewResultPage {
  @ViewChild(Navbar) navbar:Navbar;

    testId;
    title;
    result;

    starList = [];

    constructor(public navCtrl: NavController, public navParams: NavParams,
                public learnSer:LearnService) {
    }

    ionViewDidLoad() {
        this.result = this.navParams.get('result');
        this.title = this.navParams.get('title');
        let c = this.result.score/this.result.fullmarks;
        if(this.result.score == 0){
            this.starList = [{class: 'star-gray'}, {class: 'star-gray'}, {class: 'star-gray'},];
        }
        if( 0.6 > c && c > 0.3){
            this.starList = [{class: 'star-yellow'}, {class: 'star-gray'}, {class: 'star-gray'},];
        }
        if(  0.3 > c && c > 0){
            this.starList = [{class: 'star-yellow'}, {class: 'star-gray'}, {class: 'star-gray'},];
        }
        if( 1 > c && c > 0.6){
            this.starList = [{class: 'star-yellow'}, {class: 'star-yellow'}, {class: 'star-gray'},];
        }
        if( this.result.score == this.result.fullmarks){
            this.starList = [{class: 'star-yellow'}, {class: 'star-yellow'}, {class: 'star-yellow'},];
        }
        this.navbar.backButtonClick = (event)=>{
            let index = this.navCtrl.length() -2;
            this.navCtrl.remove(2,index)
        }
    }

    //测试回顾
    reviewTest() {
        this.navCtrl.push("ReviewLearnPage",{
            recordId:this.result.recordId,
            score:this.result.score
        })
    }

    //重新测试
    resetTest() {
        this.navCtrl.push('LearningDoPage',{
            testId: this.testId,
            title:this.title,
            type:'reset'
        });
    }
}
